Bug 194450 - Cannot remove SRPMs from Satellite UI
Cannot remove SRPMs from Satellite UI
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
370
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2006-06-08 06:00 EDT by Binand Sethumadhavan
Modified: 2014-05-09 05:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 05:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Binand Sethumadhavan 2006-06-08 06:00:39 EDT
Description of problem:

There is no intuitive way of deleting SRPMs of custom packages from the
satellite web UI.

Version-Release number of selected component (if applicable):

Red Hat Network release 3.7.0

How reproducible:

Always

Steps to Reproduce:

1. Create a package foobar.i386.rpm and foobar.src.rpm
2. Upload them to satellite
3. Locate and delete the package
4. Try uploading the same package again - the binary RPM will upload fine, the
SRPM will fail.

Actual results:

Uploading failed for foobar.src.rpm (error: package
recompiled); [['cookie', 'wiggum 1149246656', 'wiggum 1149240472'],
['last_modified', '2006-06-02 07:30:42', '2006-06-02 05:41:39'],
['build_time', '2006-06-02 11:10:56', '2006-06-02 09:27:52'],
['md5sum', '6837705ca77b21df774d2d633611d82d',
'6e1dbb6e5b839b154fda38135fbf0175'], ['sigmd5',
'3029fe41936549da5e1c7f103134d6bd',
'fd2e87626075069e06cb1a4813e88d91'], ['sig_key_id',
['f7ecb38494eacb03'], ['f7ecb38494eacb03']]]


Expected results:

SRPM uploaded and locatable in satellite.

Additional info:

The actual RPM in question is Subversion, downloaded from
http://people.redhat.com/jorton/Taroon-svn/
Comment 2 Clifford Perry 2014-05-09 05:59:41 EDT
We have not addressed this specific bug in almost 8 years. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.